Loading...
Searching...
No Matches
ASSA::AutoPtrArrayRef< R > Class Template Reference

A wrapper class to provide AutoPtr with reference semantics. More...

`#include <AutoPtr.h>`

## Public Member Functions

| AutoPtrArrayRef (R *p_)

## Public Attributes

R * | m_ptr

## Detailed Description

template<typename R>
class ASSA::AutoPtrArrayRef< R >

A wrapper class to provide AutoPtr with reference semantics.

An AutoPtr can be assigned (or constructed from) the result of a function which returns an AutoPtr by value (rvalue).

Definition at line 185 of file AutoPtr.h.

## Constructor & Destructor Documentation

## AutoPtrArrayRef()

template<typename R >

ASSA::AutoPtrArrayRef< R >::AutoPtrArrayRef | ( | R * | p_ | ) |

inline explicit

Definition at line 187 of file AutoPtr.h.

: m_ptr (p_) { /* no-op */ }
ASSA::AutoPtrArrayRef::m_ptr
R * m_ptr
Definition AutoPtr.h:189

## Member Data Documentation

## m_ptr

template<typename R >

R* ASSA::AutoPtrArrayRef< R >::m_ptr

Definition at line 189 of file AutoPtr.h.

The documentation for this class was generated from the following file:

- AutoPtr.h